using System.Collections.Generic;
using System.Runtime.Serialization;
using DiplomovaPrace.Contracts.Products.InputModels;

namespace DiplomovaPrace.Contracts.Products.ViewModels
{
	[DataContract]
	public class ProductDto
	{
		[DataMember(Order = 1)]
		public int ID { get; set; }

		[DataMember(Order = 2)]
		public string Name { get; set; }

		[DataMember(Order = 3)]
		public decimal Price { get; set; }

		[DataMember(Order = 4)]
		public int AvailableQuantity { get; set; }

		[DataMember(Order = 5)]
		public decimal? ReducedPrice { get; set; }

		[DataMember(Order = 6)]
		public string Description { get; set; }

		[DataMember(Order = 7)]
		public int? ProductCategoryID { get; set; }

		[DataMember(Order = 8)]
		public List<int> ProductImageIDs { get; set; } = new();

		[DataMember(Order = 9)]
		public List<ProductImageIM> ProductImages { get; set; } = new();
	}
}
